<?php

// Prevent loading this file directly
defined( 'ABSPATH' ) || exit;

class RWMB_Group
{
	/**
	 * Indicate that the meta box is saved or not
	 * This variable is used inside group field to show child fields
	 *
	 * @var bool
	 */
	static $saved = false;

	/**
	 * Add hooks to meta box
	 *
	 * @return RWMB_Group
	 */
	function __construct()
	{
		if ( !is_admin() )
			return;

		// Make sure Meta Box files are loaded, because we extend base field class
		add_action( 'init', array( $this, 'load_files' ) );

		add_action( 'rwmb_before', array( $this, 'set_saved' ) );
		add_action( 'rwmb_after', array( $this, 'unset_saved' ) );
	}

	/**
	 * Load field group class
	 *
	 * @return array
	 */
	function load_files()
	{

		if ( class_exists( 'RWMB_Field' ) && ! class_exists( 'RWMB_Group_Field' ) ) {
			// require_once TPMBGF_DIR . 'class-rwmb-group-field.php';
			// require_once( TPMBGF_DIR . 'class-rwmb-group-field.php');
		}

	}

	/**
	 * Check if current meta box is saved
	 * This variable is used inside group field to show child fields
	 *
	 * @param $obj
	 *
	 * @return void
	 */
	function set_saved( $obj )
	{
		self::$saved = $obj->is_saved();
	}

	/**
	 * Unset 'saved' variable, to be ready for next meta box
	 *
	 * @return void
	 */
	function unset_saved()
	{
		self::$saved = false;
	}
}

new RWMB_Group;