<?php

/**
 * TGM Init Class
 */
include_once (get_template_directory() . '/admin/tgm/class-tgm-plugin-activation.php');

function starter_plugin_register_required_plugins() {

	$plugins = array(
		array(
			'name' 					=> esc_html__('Redux Framework','aqura'),
			'slug' 					=> 'redux-framework',
			'required'			  => true, // If false, the plugin is only 'recommended' instead of required.
			'version'			   => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher.
			'force_activation'	  => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
			'force_deactivation'	=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'external_url'		  => '', // If set, overrides default API URL and points to an external URL.
		),

		array(
			'name' 					=> esc_html__('WooCommerce','aqura'),
			'slug' 					=> 'woocommerce',
			'required'			  => true, // If false, the plugin is only 'recommended' instead of required.
			'version'			   => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher.
			'force_activation'	  => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
			'force_deactivation'	=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'external_url'		  => '', // If set, overrides default API URL and points to an external URL.
		),

		array(
			'name' 					=> esc_html__('Contact Form 7','aqura'),
			'slug' 					=> 'contact-form-7',
			'required'			  => true, // If false, the plugin is only 'recommended' instead of required.
			'version'			   => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher.
			'force_activation'	  => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
			'force_deactivation'	=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'external_url'		  => '', // If set, overrides default API URL and points to an external URL.
		),

		array(
			'name' 					=> esc_html__('Visual Composer','aqura'),
			'slug' 					=> 'vc_composer',
			'source'				=> get_template_directory_uri() . '/lib/plugins/js_composer.zip', // The plugin source.
			'required'			  => true, // If false, the plugin is only 'recommended' instead of required.
			'version'			   => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher.
			'force_activation'	  => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
			'force_deactivation'	=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'external_url'		  => '', // If set, overrides default API URL and points to an external URL.
		),

		array(
			'name' 					=> esc_html__('Aqura Metabox Group','aqura'),
			'slug' 					=> 'aqura-metabox-group',
			'source'				=> get_template_directory_uri() . '/lib/plugins/aqura-metabox-group.zip', // The plugin source.
			'required'			  => true, // If false, the plugin is only 'recommended' instead of required.
			'version'			   => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher.
			'force_activation'	  => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
			'force_deactivation'	=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'external_url'		  => '', // If set, overrides default API URL and points to an external URL.
		),

		array(
			'name' 					=> esc_html__('Aqura Shortcodes','aqura'),
			'slug' 					=> 'aqura-shortcodes',
			'source'				=> get_template_directory_uri() . '/lib/plugins/aqura_shortcodes.zip', // The plugin source.
			'required'			  => true, // If false, the plugin is only 'recommended' instead of required.
			'version'			   => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher.
			'force_activation'	  => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
			'force_deactivation'	=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'external_url'		  => '', // If set, overrides default API URL and points to an external URL.
		),

		array(
			'name' 					=> esc_html__('Aqura Posttypes','aqura'),
			'slug' 					=> 'aqura-posttypes',
			'source'				=> get_template_directory_uri() . '/lib/plugins/aqura_posttypes.zip', // The plugin source.
			'required'			  => true, // If false, the plugin is only 'recommended' instead of required.
			'version'			   => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher.
			'force_activation'	  => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
			'force_deactivation'	=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'external_url'		  => '', // If set, overrides default API URL and points to an external URL.
		),

		array(
			'name' 					=> esc_html__('MetaBox','aqura'),
			'slug' 					=> 'meta-box',
			'required'			  => true, // If false, the plugin is only 'recommended' instead of required.
			'version'			   => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher.
			'force_activation'	  => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
			'force_deactivation'	=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'external_url'		  => '', // If set, overrides default API URL and points to an external URL.
		),

		array(
			'name'	  => esc_html__('oAuth Twitter Feed for Developers','aqura'),
			'slug'	  => 'oauth-twitter-feed-for-developers',
			'required'  => true,
		)
	);

	$config = array(
		'domain'	   		=> 'aqura',		 		// Text domain - likely want to be the same as your theme.
		'default_path' 		=> '',						 	// Default absolute path to pre-packaged plugins
		'menu'		 		=> 'install-required-plugins', 	// Menu slug
		'has_notices'	  	=> true,					   	// Show admin notices or not
		'is_automatic'		=> true,					   	// Automatically activate plugins after installation or not
	);

	tgmpa( $plugins, $config );

}
add_action( 'tgmpa_register', 'starter_plugin_register_required_plugins' );