<?php
/**
 * The template for displaying archive pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Aqura
 */

// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }

$aqura_title = rwmb_meta( 'aqura_single_article_title' );
$aqura_small_description = rwmb_meta( 'aqura_small_description' );

$aqura_feat_image = wp_get_attachment_url( get_post_thumbnail_id($post->ID) );

get_header(); ?>

	<div class="menu-bg-i"></div>

	<!-- =============== START BLOG SIDEBAR-RIGHT ================ -->
	<section class="blogSidebarRight padding">
		<div class="container">
			<div class="row">
				<div class="blog-sidebar-right">
					<div class="col-sm-8">
						<?php

							if ( have_posts() ) : ?>

								<header class="page-header">
									<?php
										the_archive_title( '<h1 class="page-title">', '</h1>' );
										the_archive_description( '<div class="taxonomy-description">', '</div>' );
									?>
								</header><!-- .page-header -->

								<br>
								<br>

								<?php
								/* Start the Loop */
								while ( have_posts() ) : the_post();

									/*
									 * Include the Post-Format-specific template for the content.
									 * If you want to override this in a child theme, then include a file
									 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
									 */
									get_template_part( 'template-parts/content', get_post_format() );

								endwhile;

								the_posts_navigation();

							else :

								require_once( get_template_directory() . '/template-parts/content-none.php' );

							endif; ?>

					</div><!-- end col-sm-8 -->
				</div><!-- end blog-left -->
				<div class="blog-right">
					<div class="col-sm-3 col-sm-offset-1">
						<?php get_sidebar(); ?>
					</div><!-- end col-sm03 -->
				</div><!-- end blog-right -->
			</div><!-- end row -->
		</div><!-- end container -->
	</section>
	<!-- =============== END BLOG SIDEBAR-RIGHT ================ -->

	<!-- =============== START PAGINATION ================ -->
	<section class="paginationFooter ">
		<div class="container">
			<div class="row">
				<div class="col-sm-12">
					<?php aqura_get_the_posts_pagination(); ?>
				</div>
			</div>
		</div>
	</section>
	<!-- =============== END PAGINATION ================ -->

<?php
get_footer();
