if ( jQuery('#map-canvas').length > 0 ) {

<!-- ================================================== -->
<!-- =============== START GOOGLE MAP PLUGIN ================ -->
<!-- ================================================== -->

window.google = window.google || {};

google.maps = google.maps || {};

(function() {

	function getScript(src) {

		document.write('<' + 'script src="' + src + '"' + ' type="text/javascript"><' + '/script>');

	}
		
	var modules = google.maps.modules = {};

	google.maps.__gjsload__ = function(name, text) {
		modules[name] = text;
	};
	
	google.maps.Load = function(apiLoad) {
		delete google.maps.Load;
		getScript("http://maps.googleapis.com/maps/api/js?sensor=true");
	};

	var loadScriptTime = (new Date).getTime();

	getScript("https://maps.googleapis.com/maps/api/js?key=AIzaSyDeTTrTo74H7d_CJ4IvP0GLSP7BvZmFD_E&callback=initMap");

})();

<!-- ================================================== -->
<!-- =============== END GOOGLE MAP PLUGIN ================ -->
<!-- ================================================== -->

<!-- ================================================== -->
<!-- =============== START GOOGLE MAP SETTINGS ================ -->
<!-- ================================================== -->

jQuery(document).ready(function(){

	var map;
	
	var title = jQuery('#map-canvas').data('title');
	var description = jQuery('#map-canvas').data('description');
	
	var lat = jQuery('#map-canvas').data('lat');
	var long = jQuery('#map-canvas').data('long');
	var myLatLng = new google.maps.LatLng(lat,long);

	function initialize() {

		var roadAtlasStyles = [
			{elementType: 'geometry', stylers: [{color: php_array.geometry}]},
            {elementType: 'labels.text.stroke', stylers: [{color: php_array.labels_text_stroke}]},
            {elementType: 'labels.text.fill', stylers: [{color: php_array.labels_text_fill}]},
            {
              featureType: 'administrative.locality',
              elementType: 'labels.text.fill',
              stylers: [{color: php_array.administrative_locality_text}]
            },
            {
              featureType: 'poi',
              elementType: 'labels.text.fill',
              stylers: [{color: php_array.labels_text_fill}]
            },
            {
              featureType: 'poi.park',
              elementType: 'geometry',
              stylers: [{color: php_array.geometry_poi_park}]
            },
            {
              featureType: 'poi.park',
              elementType: 'labels.text.fill',
              stylers: [{color: php_array.poi_park_text}]
            },
            {
              featureType: 'road',
              elementType: 'geometry',
              stylers: [{color: php_array.geometry_road}]
            },
            {
              featureType: 'road',
              elementType: 'geometry.stroke',
              stylers: [{color: php_array.geometry_road_stroke}]
            },
            {
              featureType: 'road',
              elementType: 'labels.text.fill',
              stylers: [{color: php_array.road_text}]
            },
            {
              featureType: 'road.highway',
              elementType: 'geometry',
              stylers: [{color: php_array.geometry_road_highway}]
            },
            {
              featureType: 'road.highway',
              elementType: 'geometry.stroke',
              stylers: [{color: php_array.geometry_road_highway_stroke}]
            },
            {
              featureType: 'road.highway',
              elementType: 'labels.text.fill',
              stylers: [{color: php_array.roa_highway_text}]
            },
            {
              featureType: 'transit',
              elementType: 'geometry',
              stylers: [{color: php_array.geometry_transit}]
            },
            {
              featureType: 'transit.station',
              elementType: 'labels.text.fill',
              stylers: [{color: php_array.transit_station_text}]
            },
            {
              featureType: 'water',
              elementType: 'geometry',
              stylers: [{color: php_array.geometry_water}]
            },
            {
              featureType: 'water',
              elementType: 'labels.text.fill',
              stylers: [{color: php_array.water_text}]
            },
            {
              featureType: 'water',
              elementType: 'labels.text.stroke',
              stylers: [{color: php_array.geometry_water_stroke}]
            }
		];

		var mapOptions = {
			zoom: 13,
			center: myLatLng,
			scrollwheel: false,
			navigationControl: true,
			mapTypeControl: true,
			scaleControl: false,
			draggable: true,
			mapTypeControlOptions: {
				mapTypeIds: [google.maps.MapTypeId.ROADMAP, 'usroadatlas']
			}
		};

		var map = new google.maps.Map(document.getElementById('map-canvas'), mapOptions);

		var img = jQuery('#map-canvas').data('img');

		var marker = new google.maps.Marker({
			position: myLatLng,
			map: map,
			icon: img,
			title: ''
		});
	
		var contentString = '<div style="max-width: 300px" id="content">'+
								'<div id="bodyContent">'+
								'<h5 class="color-primary">'+
									'<strong>'+
									title +
									'</strong>'+
									'</h5>' +
								'<p style="font-size: 12px">' +
									description +
								'</p>'+
								'</div>'+
							'</div>';

		var infowindow = new google.maps.InfoWindow({
			content: contentString
		});
	
		google.maps.event.addListener(marker, 'click', function() {
			infowindow.open(map,marker);
		});

		var styledMapOptions = {
			name: 'US Road Atlas'
		};

		var usRoadMapType = new google.maps.StyledMapType(
			roadAtlasStyles, styledMapOptions);

		map.mapTypes.set('usroadatlas', usRoadMapType);
		map.setMapTypeId('usroadatlas');

	}

	google.maps.event.addDomListener(window, 'load', initialize);

});

<!-- ================================================== -->
<!-- =============== END GOOGLE MAP SETTINGS ================ -->
<!-- ================================================== -->

}