<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }

// Creating the widget 
class WP_instagram_feed extends WP_Widget {

	function __construct() {
		parent::__construct(
			// Base ID of your widget
			'WP_instagram_feed', 

			// Widget name will appear in UI
			__('Instagram Feed', 'aqura')
		);
	}

	// Creating widget front-end
	// This is where the action happens
	public function widget( $aqura_args, $instance ) {
		echo balanceTags($aqura_args['before_widget']);
		$aqura_title = apply_filters( 'widget_title', $instance['title'] );
		if ( ! empty( $aqura_title ) )
			echo balanceTags($aqura_args['before_title']) . esc_html($aqura_title) . balanceTags($aqura_args['after_title']);

		global $aqura_data;

		$aqura_instragram_user_id = $aqura_data['instagram-user-id'];
		$aqura_instragram_user_id = $aqura_data['instagram-user-id'];
		$aqura_instragram_user_token = $aqura_data['instagram-user-token'];

		?>

		<div class="instagram-widget">
			<ul id="instagram-sidebar-widget" class="clearfix" data-userID="<?php echo esc_html($aqura_instragram_user_id); ?>" data-userToken="<?php echo esc_html($aqura_instragram_user_token); ?>"></ul>
		</div>
		<script>
			(function() {

				jQuery(window).load(function(){

					var feedSidebar = new Instafeed({
						get: 'user',
						userId: <?php echo esc_html($aqura_instragram_user_id); ?>,
						sortBy: 'most-liked',
						clientId: 'b65a53a5cc0540769b7cf79ea333348c',
						template: '<li><a href="{{link}}" target="_blank"><img class="img-responsive" src="{{image}}" /></a></li>',
						target: 'instagram-sidebar-widget',
						limit: 6,
						resolution: 'low_resolution',
					});
					
					if (jQuery('#instagram-sidebar-widget').length>0) {
						feedSidebar.run();
					}

				});

			})();
		</script>

		<?php
		echo balanceTags($aqura_args['after_widget']);
	}
	
	// Widget Backend 
	public function form( $instance ) {
		if ( isset( $instance[ 'title' ] ) ) {
			$aqura_title = $instance[ 'title' ];
		} else {
			$aqura_title = esc_html__( 'Instagram' , 'aqura');
		};

		?>

		<p>
			<label 
				for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>">
					<?php 
						_e( 'Title:' , 'aqura' );
					?>
			</label> 
			<input class="widefat"
				id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" 
				name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" type="text" 
				value="<?php echo esc_attr( $aqura_title ); ?>" />
		</p>

		<?php
	}
	
	// Updating widget replacing old instances with new
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
		return $instance;
	}

} // Class WP_instagram_feed ends here

register_widget( 'WP_instagram_feed' );