<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }

// Creating the widget 
class WP_twitter_feed extends WP_Widget {

	function __construct() {
		parent::__construct(
			// Base ID of your widget
			'WP_twitter_feed', 

			// Widget name will appear in UI
			__('Twitter Feed', 'aqura')
		);
	}

	// Creating widget front-end
	// This is where the action happens
	public function widget( $aqura_args, $instance ) {
		echo balanceTags($aqura_args['before_widget']);
		$aqura_title = apply_filters( 'widget_title', $instance['title'] );
		if ( ! empty( $aqura_title ) )
			echo balanceTags($aqura_args['before_title']) . esc_html($aqura_title) . balanceTags($aqura_args['after_title']);

		if ($instance['widget_id']) {
			$widget_id = $instance['widget_id'];
		} else {
			$widget_id = '';
		}

		?>

		<a class="twitter-timeline" data-widget-id="<?php echo esc_attr($widget_id); ?>"></a>
		<script>
			!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+"://platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");
		</script>

		<?php
		echo balanceTags($aqura_args['after_widget']);
	}
	
	// Widget Backend 
	public function form( $instance ) {
		if ( isset( $instance[ 'title' ] ) ) {
			$aqura_title = $instance[ 'title' ];
		} else {
			$aqura_title = esc_html__( 'Tweets' , 'aqura');
		};

		if ( isset( $instance[ 'widget_id' ] ) ) {
			$widget_id = $instance[ 'widget_id' ];
		}
		else {
			$widget_id = '716220714324467712';
		};

		?>
		<p>
			<label 
				for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>">
					<?php 
						_e( 'Title:' , 'aqura' );
					?>
			</label> 
			<input class="widefat"
				id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" 
				name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" type="text" 
				value="<?php echo esc_attr( $aqura_title ); ?>" />
		</p>
		<p>
			<label 
				for="<?php echo esc_attr($this->get_field_id( 'widget_id' )); ?>">
					<?php 
						_e( 'Widget ID:' , 'aqura' );
					?>
			</label> 
			<input class="widefat"
				id="<?php echo esc_attr($this->get_field_id( 'widget_id')); ?>" 
				name="<?php echo esc_attr($this->get_field_name( 'widget_id' )); ?>" type="text" 
				value="<?php echo esc_attr( $widget_id ); ?>" />
		</p>
		<?php 
	}
	
	// Updating widget replacing old instances with new
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
		$instance['widget_id'] = ( ! empty( $new_instance['widget_id'] ) ) ? strip_tags( $new_instance['widget_id'] ) : '';
		return $instance;
	}

} // Class WP_twitter_feed ends here

register_widget( 'WP_twitter_feed' );