<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }

$aqura_feat_image = wp_get_attachment_url( get_post_thumbnail_id($post->ID) );
$aqura_page_bg = rwmb_meta( 'aqura_paage_bg', 'type=image' );
$aqura_page_bg_display = '';

$aqura_release_date = rwmb_meta( 'aqura_release_date' );
$aqura_album_catalog = rwmb_meta( 'aqura_album_catalog' );
$aqura_album_label = rwmb_meta( 'aqura_album_label' );
$aqura_album_format = rwmb_meta( 'aqura_album_format' );

$aqura_last_fm = rwmb_meta( 'aqura_last_fm' );
$aqura_album_soundcloud = rwmb_meta( 'aqura_album_soundcloud' );
$aqura_album_itunes = rwmb_meta( 'aqura_album_itunes' );
$aqura_spotify = rwmb_meta( 'aqura_spotify' );
$aqura_amazon = rwmb_meta( 'aqura_amazon' );
$aqura_beatport = rwmb_meta( 'aqura_beatport' );

$aqura_tracks = rwmb_meta('album-tracks');

$aqura_instragram_user_id = $aqura_data['instagram-user-id'];
$aqura_instragram_user_token = $aqura_data['instagram-user-token'];

foreach ( $aqura_page_bg as $image ) {

	$aqura_page_bg_display = $image['full_url'];

}

get_header();

	if ( $aqura_feat_image ) { ?>

	<!-- =============== START BREADCRUMB ================ -->
	<section class="no-mb">
		<div class="row">
			<div class="col-sm-12">
				<div class="before-FullscreenSlider"></div>
				<div class="breadcrumb-fullscreen-parent phone-menu-bg">
					<div class="breadcrumb breadcrumb-fullscreen alignleft small-description overlay almost-black-overlay" style="display:block;background-image: url('<?php echo esc_url($aqura_feat_image); ?>');" data-stellar-background-ratio="0.5" data-stellar-vertical-offset="0">
					</div>
				</div>
			</div>
		</div>
	</section>
	<!-- =============== END BREADCRUMB ================ -->

	<?php } ?>

	<!-- =============== START GALLERY SECTION ================ -->
	<section id="content" class="albumSingle padding background-properties" style="background-image:url(<?php if ($aqura_page_bg_display) { echo esc_url($aqura_page_bg_display); } ?>);">
		<div class="container" style="padding-left:0; padding-right:0;">
			<div class="sectionTitle paddingBottom">
				<span class="heading-t3"></span>
				<h2><a>
					<?php echo esc_html(get_the_title()); ?>
				</a></h2>
				<span class="heading-b3"></span>
			</div><!-- end sectionTtile -->
			<div class="row">
				<div class="col-sm-8">
					<div id="post-<?php the_ID(); ?>" <?php post_class('jp-playlist'); ?>>
						<div class="about-list clearfix">
							<span class="about-name">
								<?php esc_html_e( 'NAME' , 'aqura' ); ?>
							</span>
							<span class="about-length">
								<?php esc_html_e( 'LENGTH' , 'aqura' ); ?>
							</span>
						</div>
						<?php foreach ($aqura_tracks as $key => $aqura_track): ?>

							<?php if (isset($aqura_track['track-external-url'])): ?>
								
								<?php $aqura_trak_final = $aqura_track['track-external-url']; ?>

								<?php if (strpos($aqura_track['track-external-url'], 'soundcloud') !== false) {

									$sc_condition = 'data-sc="true"';

								} ?>

							<?php else: ?>

								<?php $aqura_trak_final = wp_get_attachment_url($aqura_track['track-url'][0]); ?>

								<?php $sc_condition = ''; ?>

							<?php endif ?>

							<?php if ( $aqura_track['track-name'] ): ?>
								<div class="trak-item" data-audio="<?php echo esc_url($aqura_trak_final); ?>" data-artist="<?php echo esc_attr($aqura_track['track-author']) ?>" data-thumbnail="<?php echo wp_get_attachment_url($aqura_track['track-thumbnail'][0]); ?>" <?php echo $sc_condition; ?>>
									<audio src="<?php echo esc_url($aqura_trak_final); ?>" preload="none" title="<?php echo esc_attr($aqura_track['track-name']) ?>"></audio>
									<div class="play-pause-button">
										<div class="center-y-table">
											<i class="fa fa-play"></i>
										</div>
									</div>
									<div class="name-artist">
										<div class="center-y-table">
											<h2>
												<?php echo esc_html($aqura_track['track-name']) ?>
											</h2>
										</div>
									</div>
									<time class="trak-duration" datetime="<?php echo get_the_date('Y-m-d'); ?>">
										<?php if (isset($aqura_track['track-external-url'])): ?>
								
											<?php echo $aqura_track['track-duration']; ?>

										<?php else: ?>

											<?php

												$aqura_tracktime = isset($aqura_track['track-url'][0]) ? wp_get_attachment_metadata($aqura_track['track-url'][0]) : '';

												if ($aqura_tracktime):
													echo esc_html($aqura_tracktime['length_formatted']);
												else:
													echo esc_html($aqura_track['track-duration']);
												endif;

											?>

										<?php endif ?>
									</time>
								</div>
							<?php endif ?>
						<?php endforeach ?>
					</div>
				</div><!-- end-col-sm-8 -->
				<div class="col-sm-3 col-sm-offset-1">
					<div class="sidebarAlbum">
						<?php if ( $aqura_release_date != '' || $aqura_album_catalog != '' || $aqura_album_label != '' || $aqura_album_format != '' ): ?>
							<div class="widget">
								<h3>
									<?php esc_html_e( 'Details' , 'aqura' ); ?>
								</h3>
								<ul>
									<?php if ($aqura_release_date): ?>
										<li>
											<?php esc_html_e( 'Realease Date:' , 'aqura' ); ?>
											<span>
												<?php echo esc_html($aqura_release_date); ?>
											</span>
										</li>
									<?php endif ?>
									<?php if ($aqura_album_catalog): ?>
										<li>
											<?php esc_html_e( 'Catalog:' , 'aqura' ); ?>
											<span>
												<?php echo esc_html($aqura_album_catalog); ?>
											</span>
										</li>
									<?php endif ?>
									<?php if ($aqura_album_label): ?>
										<li>
											<?php esc_html_e( 'Label:' , 'aqura' ); ?>
											<span>
												<?php echo esc_html($aqura_album_label); ?>
											</span>
										</li>
									<?php endif ?>
									<?php if ($aqura_album_format): ?>
										<li>
											<?php esc_html_e( 'Fomat:' , 'aqura' ); ?>
											<span>
												<?php echo esc_html($aqura_album_format); ?>
											</span>
										</li>
									<?php endif ?>
								</ul>
							</div><!-- end widget -->
						<?php endif ?>
						<?php if ( $aqura_instragram_user_id ): ?>
							<div class="widget">
								<h3>
									<?php esc_html_e( 'Instagram:' , 'aqura' ); ?>
								</h3>
								<div class="instagram-widget">
									<ul id="instagram-sidebar-widget" class="clearfix" data-userID="<?php echo esc_html($aqura_instragram_user_id); ?>" data-userToken="<?php echo esc_html($aqura_instragram_user_token); ?>"></ul>
								</div>
							</div><!-- end widget -->
						<?php endif ?>
						<?php if ( $aqura_last_fm != '' || $aqura_album_soundcloud != '' || $aqura_album_itunes != '' || $aqura_spotify != '' || $aqura_amazon != '' || $aqura_beatport != '' ): ?>
							<div class="widget">
								<h3>
									<?php esc_html_e( 'Available On' , 'aqura' ); ?>
								</h3>
								<section>
									<ul id='services'>
										<?php if ($aqura_last_fm): ?>
											<li>
												<a href="<?php echo esc_url($aqura_last_fm); ?>"><div><i class="fa fa-lastfm"></i></div></a>
											</li>
										<?php endif ?>
										<?php if ($aqura_album_soundcloud): ?>
											<li>
												<a href="<?php echo esc_url($aqura_album_soundcloud); ?>"><div><i class="fa fa-soundcloud"></i></div></a>
											</li>
										<?php endif ?>
										<?php if ($aqura_album_itunes): ?>
											<li>
												<a href="<?php echo esc_url($aqura_album_itunes); ?>"><div><i class="fa fa-apple"></i></div></a>
											</li>
										<?php endif ?>
										<?php if ($aqura_spotify): ?>
											<li>
												<a href="<?php echo esc_url($aqura_spotify); ?>"><div><i class="fa fa-spotify"></i></div></a>
											</li>
										<?php endif ?>
										<?php if ($aqura_amazon): ?>
											<li>
												<a href="<?php echo esc_url($aqura_amazon); ?>"><div><i class="fa fa-amazon"></i></div></a>
											</li>
										<?php endif ?>
										<?php if ($aqura_beatport): ?>
											<li>
												<a href="<?php echo esc_url($aqura_beatport); ?>"><div><i class="fa fa-headphones"></i></div></a>
											</li>
										<?php endif ?>
									</ul>
								</section>
							</div><!-- end widget -->
						<?php endif ?>
					</div><!-- end sidebarAlbum -->
				</div><!-- end col-sm-3 col-sm-offset-1 -->
			</div><!-- end row -->
		</div><!-- end container -->
	</section>
	<!-- =============== END GALLERY SECTION ================ -->

	<?php aqura_album_single_nav(get_the_ID(), 'post'); ?>

<?php
get_footer();
