<?php
/* Template Name: Template Without Sidebar */


// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }

$aqura_title = rwmb_meta( 'aqura_single_article_title' );
$aqura_small_description = rwmb_meta( 'aqura_small_description' );

$aqura_feat_image = wp_get_attachment_url( get_post_thumbnail_id($post->ID) );

get_header();

	if ( $aqura_feat_image ) { ?>

	<!-- =============== START BREADCRUMB ================ -->
	<section class="no-mb">
		<div class="row">
			<div class="col-sm-12">
				<div class="breadcrumb-fullscreen-parent phone-menu-bg">
					<div class="breadcrumb breadcrumb-fullscreen alignleft small-description overlay almost-black-overlay" style="background-image: url(<?php echo esc_url($aqura_feat_image); ?>);" data-stellar-background-ratio="0.5" data-stellar-vertical-offset="0">
						<div class="breadTxt">
							<h1>
								<?php if ( $aqura_title != '' ): ?>
									<?php echo esc_html($aqura_title); ?>
								<?php else: ?>
									<?php echo esc_html(get_the_title()); ?>
								<?php endif ?>
							</h1>
							<p>
								<?php echo balanceTags($aqura_small_description); ?>
							</p>
							<a href="#content" data-easing="easeInOutQuint" data-scroll="" data-speed="900" data-url="false">
								<?php esc_html_e( 'View More' , 'aqura') ?> <i class="fa fa-angle-down"></i>
							</a>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
	<div id="content"></div>
	<!-- =============== END BREADCRUMB ================ -->

	<?php } ?>

	<!-- =============== START BLOG SIDEBAR-RIGHT ================ -->
	<section class="blogSidebarRight padding">
		<div class="container">
			<div class="row">
				<div class="blog-sidebar-right">
					<div class="col-sm-12">
						<?php

							require_once( get_template_directory() . '/template-parts/content-page.php' );

						?>
					</div><!-- end col-sm-8 -->
				</div><!-- end blog-left -->
			</div><!-- end row -->
		</div><!-- end container -->
	</section>
	<!-- =============== END BLOG SIDEBAR-RIGHT ================ -->

<?php
get_footer();
