<?php
/**
 * @author Stylish Themes
 *
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) { exit; }

class AQURA_albums_grid {

	protected static $instance = null;

	public static function get_instance() {

		// If the single instance hasn't been set, set it now.
		if ( null == self::$instance ) {
			self::$instance = new self;
		}

		return self::$instance;
	}

	private function __construct() {
		add_shortcode( 'albums_grid', array( &$this, 'shortcode' ) );
	}

	public function shortcode( $atts ){
		$output = $albums_numb = '';

		extract( shortcode_atts( array(
			'albums_numb'		=> '4'
		), $atts ) );

		$output .= '<div class="aqura-filter-content list-albums">';
		$output .= '<ul class="list-feature clearfix">';

		$args = array(
			'post_type'		 => 'albums',
			'post_status'	   => 'publish',
			'posts_per_page'	=> $albums_numb,
			'tax_query'		 => ( !empty($cats) ? array(
					array(
						'taxonomy' => 'albums-category',
						'field' => 'id',
						'terms' => $cats
					),
				) : false )
		);

		global $wp_query;

		$query = new WP_Query($args);

		// Pagination fix
		$temp_query = $wp_query;
		$wp_query	 = NULL;
		$wp_query	 = $query;

		if ( $query->have_posts() ) {

			while ( $query->have_posts() ) {

				$query->the_post();

				$album_catalog = rwmb_meta( 'aqura_album_catalog' );

				$cover_album = rwmb_meta( 'aqura_cover_album', 'type=image' );

				foreach ( $cover_album as $image ) {

					$cover_album_display = $image['full_url'];
				}

				$disk_album = rwmb_meta( 'aqura_disk_image', 'type=image' );

				foreach ( $disk_album as $image ) {

					$disk_album_display = $image['full_url'];
				}

				$output .= '<li class="' . join( ' ', get_post_class('col-md-3 col-sm-3 col-xs-12')) . '">';

					$output .= '<div class="album-icon">';
						$output .= '<span class="thumbs-album">';
							$output .= '<a href="' . get_permalink() . '">';
								$output .= '<img width="270" height="270" class="attachment-album-thumbnail wp-post-image" alt="album-cover" src="' . $cover_album_display . '">';
							$output .= '</a>';
						$output .= '</span>';
						$output .= '<span class="disk" style="background-image: url(' . $disk_album_display . '"></span>';
					$output .= '</div>';
					$output .= '<div class="name">';
						$output .= '<h3>';
							$output .= get_the_title();
						$output .= '</h3>';
						$output .= '<p>';
							$output .= $album_catalog;
						$output .= '</p>';
					$output .= '</div>';

				$output .= '</li>';

			}

		}

		$output .= '</ul>';
		$output .= '</div>';

		return $output;
	}

}

AQURA_albums_grid::get_instance();