<?php
/**
 * @author Stylish Themes
 *
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) { exit; }

class AQURA_articles_news {

	protected static $instance = null;

	public static function get_instance() {

		// If the single instance hasn't been set, set it now.
		if ( null == self::$instance ) {
			self::$instance = new self;
		}

		return self::$instance;
	}

	private function __construct() {
		add_shortcode( 'articles_news', array( &$this, 'shortcode' ) );
	}

	public function shortcode( $atts ){
		$output = $post_numb = '';

		extract( shortcode_atts( array(
			'post_numb'		=> '3'
		), $atts ) );

		$args = array(
			'post_status'		=> 'publish',
			'orderby' 			=> 'date',
			'order' 			=> 'DESC',
			'posts_per_page'	=> $post_numb,
		);

		global $wp_query;

		$query = new WP_Query($args);

		// Pagination fix
		$temp_query = $wp_query;
		$wp_query	 = NULL;
		$wp_query	 = $query;

		if ( $query->have_posts() ) {

			while ( $query->have_posts() ) {

				$query->the_post();

				$id_post = get_the_ID();
				$post_title = get_the_title();

				$article_type = rwmb_meta( 'aqura_article_type' );
				$soundcloud_id = rwmb_meta( 'aqura_soundcloud_id' );
				$video_id = rwmb_meta( 'aqura_video_id' );
				$gallery_images = rwmb_meta( 'aqura_gallery_images_post', 'type=image' );
				$feat_image = wp_get_attachment_url( get_post_thumbnail_id($id_post) );

				$output .= '<div class="' . join( ' ', get_post_class('col-sm-4 col-xs-12 aquraFilter')) . '">';

					$output .= ' <article class="blogBox">';	
						if ( $article_type === 'soundcloud' ):

							if ( $soundcloud_id != '' ):
								
								$output .= '<iframe width="100" height="53"	src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/' . $soundcloud_id . '&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"></iframe>';

							endif;
							
						elseif ( $article_type === 'youtube' ) :

							if ( $video_id != '' ):

								$output .= '<iframe width="560" height="315" src="https://www.youtube.com/embed/' . $video_id . '" allowfullscreen></iframe>';

							endif;

						elseif ( $article_type === 'vimeo' ) :

							if ( $video_id != '' ):

								$output .= '<iframe src="https://player.vimeo.com/video/' . $video_id . '?title=0&byline=0&portrait=0" allowfullscreen></iframe>';

							endif;

						elseif ( $article_type === 'gallery' ) :

							if ( $gallery_images != '' ):

								$output .= '<div class="owl-carousel">';

									foreach ( $gallery_images as $image ) {

										$gallery_images_display = $image['full_url'];

										$output .= '<div class="item"><img src="' . $gallery_images_display . '" alt=""></div>';
									
									}

								$output .= '</div>';

							endif;

						else :

							if ( $feat_image != '' ):


								$output .= '<div class="imgBox">';

									$output .= '<img src="' . $feat_image . '">';

								$output .= '</div>';

							endif;

						endif;
						$output .= '<div class="blogBoxContent">';
							$output .= '<div class="blogHeader">';
								$output .= '<h2>';
									$output .= '<a href="' . get_permalink() . '">';
										$output .= $post_title;
									$output .= '</a>';
								$output .= '</h2>';
							$output .= '</div>';
							$output .= '<div class="admin-list clearfix">';
								$output .= '<ul>';
									$output .= '<li>';
										$output .= '<a href="' . get_month_link(get_the_time('Y'), get_the_time('m')) . '">';
											$output .= get_the_date('d M Y');
										$output .= '</a>';
										$output .= '&nbsp;/&nbsp;';
									$output .= '</li>';
									$output .= '<li>';
										$output .= '<a href="' . get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ) . '">';
											$output .= __('By ' , 'aqura');
											$output .= get_the_author();
										$output .= '</a>';
									$output .= '</li>';
								$output .= '</ul>';
							$output .= '</div>';
							$output .= '<div class="blogParagraph">';
								$output .= '<p>';
									$output .= mb_strimwidth(get_the_excerpt(), 0, 120, "...");
								$output .= '</p>';
							$output .= '</div>';
							$output .= '<div class="rmButton">';
								$output .= '<a href="' . get_permalink() . '">';
									$output .= __( 'Read More' , 'aqura' );
								$output .= '</a>';
							$output .= '</div>';		
						$output .= '</div>';
					$output .= '</article>';

				$output .= '</div>';

			}

		}

		wp_reset_postdata();

		// Reset main query object
		$wp_query = NULL;
		$wp_query = $temp_query;

		wp_reset_query();

		return $output;
	}

}

AQURA_articles_news::get_instance();