<?php
/**
 * @author Stylish Themes
 *
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) { exit; }

class AQURA_bands_in_town {

	protected static $instance = null;

	public static function get_instance() {

		// If the single instance hasn't been set, set it now.
		if ( null == self::$instance ) {
			self::$instance = new self;
		}

		return self::$instance;
	}

	private function __construct() {
		add_shortcode( 'bands_in_town', array( &$this, 'shortcode' ) );
	}

	public function shortcode( $atts ){

		$artist = $posts_per_page = '';

		extract( shortcode_atts( array(
			'artist'				=> '', // or columns
			'posts_per_page'		=> 5,
		), $atts ) );

		return sprintf('<script type="text/javascript" src="http://www.bandsintown.com/javascripts/bit_widget.js"></script><a href="http://www.bandsintown.com" class="bit-widget-initializer" data-share-links="false" data-display-limit="%2$s" data-artist="%1$s">%3$s</a>', $artist, $posts_per_page, __('Bandsintown', 'aqura'));

	}

}

AQURA_bands_in_town::get_instance();