<?php
/**
 * @author Stylish Themes
 *
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) { exit; }

class AQURA_full_bg_album {

	protected static $instance = null;

	public static function get_instance() {

		// If the single instance hasn't been set, set it now.
		if ( null == self::$instance ) {
			self::$instance = new self;
		}

		return self::$instance;
	}

	private function __construct() {
		add_shortcode( 'full_bg_album', array( &$this, 'shortcode' ) );
	}

	public function shortcode( $atts ){
		$output = $fba_bg = $fba_title = $fba_description = $fba_itunes = $fba_sc = $fba_album_url = '';

		extract( shortcode_atts( array(
			'fba_bg'			=> '',
			'fba_title'			=> '',
			'fba_description' 	=> '',
			'fba_itunes' 		=> '',
			'fba_sc' 			=> '',
			'fba_album_url' 	=> ''
		), $atts ) );

		$fba_bg_src = wp_get_attachment_image_src($fba_bg, "full");

		$output .= '<div class="menu-bg-i-reverse"></div>';
		$output .= '<section class="fullAlbums" style="background-image:url(' . $fba_bg_src[0] . ');">';
			$output .= '<div class="fullAlbumsContent col-sm-5">';
				$output .= '<h1>' . $fba_title . '</h1>';
				$output .= '<p>' . $fba_description . '</p>';
				$output .= '<div class="social-icons">';
					if ( $fba_itunes != '' ) {
						$output .= '<a href="' . $fba_itunes . '" class="icon-button shopIcon" target="_blank"><i class="fa fa-apple"></i><span></span></a>';
					}
					if ( $fba_sc != '' ) {
						$output .= '<a href="' . $fba_sc . '" class="icon-button shopIcon" target="_blank"><i class="fa fa-soundcloud"></i><span></span></a>';
					}
					if ( $fba_album_url != '' ) {
						$output .= '<a href="' . $fba_album_url . '" class="detailsSocial">' . __( 'Details' , 'aqura' ) . ' <i class="fa fa-angle-right"></i></a>';
					}
				$output .= '</div>';
			$output .= '</div>';
		$output .= '</section>';

		return $output;
	}

}

AQURA_full_bg_album::get_instance();