<?php
/**
 * @author Stylish Themes
 *
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) { exit; }

class AQURA_gallery_images {

	protected static $instance = null;

	public static function get_instance() {

		// If the single instance hasn't been set, set it now.
		if ( null == self::$instance ) {
			self::$instance = new self;
		}

		return self::$instance;
	}

	private function __construct() {
		add_shortcode( 'gallery_images', array( &$this, 'shortcode' ) );
	}

	public function shortcode( $atts ){
		$output = $gallery_images_upload = '';

		extract( shortcode_atts( array(
			'gallery_images_upload'	=> ''
		), $atts ) );
		
		$imagearray = explode(",",$gallery_images_upload);

		$output .= '<div class="gallerySection">';
		$output .= '<div class="single-photo-album-container single-gallery-articles">';
		$output .= '<div class="row">';

		if (is_array($imagearray) || is_object($imagearray)) {
			while (list($key, $image) = each($imagearray)) {

				$gallery_images_upload_display = wp_get_attachment_url($image);

				$output .= '<article>';
					$output .= '<figure>';
						$output .= '<figcaption>';
							$output .= '<div class="hovereffect">';
								$output .= '<img class="img-responsive" src="' . $gallery_images_upload_display . '" alt="">';
								$output .= '<div class="overlay">';
									$output .= '<a class="info lightbox" href="' . $gallery_images_upload_display . '"></a>';
								$output .= '</div>';
							$output .= '</div>';
						$output .= '</figcaption>';
					$output .= '</figure>';
				$output .= '</article>';
			}
		}

		$output .= '</div>';
		$output .= '</div>';
		$output .= '</div>';

		return $output;
	}

}

AQURA_gallery_images::get_instance();