<?php
/**
 * @author Stylish Themes
 *
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) { exit; }

class AQURA_Latest_Tweet {

	protected static $instance = null;

	public static function get_instance() {

		// If the single instance hasn't been set, set it now.
		if ( null == self::$instance ) {
			self::$instance = new self;
		}

		return self::$instance;
	}

	private function __construct() {
		add_shortcode( 'latest_tweet', array( &$this, 'shortcode' ) );
	}

	public function shortcode( $atts ){
		$output = $username = $aqura_twitter_icon = $aqura_twitter_url = '';

		extract( shortcode_atts( array(
			'username'			  => '',
			'aqura_twitter_icon'		   => '',
			'aqura_twitter_url'			=> '#'
		), $atts ) );

		$aqura_twitter_icon_src = wp_get_attachment_image_src($aqura_twitter_icon, "large");

		if( function_exists( 'getTweets' ) ) {
			$tweets = getTweets($username, 1); //change number up to 20 for number of tweets
			
			if( is_array( $tweets ) ) {
	
				foreach( $tweets as $tweet ) {
	
					if( ! is_string( $tweet ) && $tweet['text'] ) {
	
						$output .= '<div class="twitter">';
							$output .= '<div class="container">';
								$output .= '<div class="row">';
									$output .= '<div class="col-sm-12">';
										$output .= '<div class="twitterLogo">';
											$output .= '<a href="' . $aqura_twitter_url . '"><img src="' . $aqura_twitter_icon_src[0] . '" alt="twitterLogo"></a>';
											$output .= '<a href="#" class="linkTwitter">@' . $username . '</a>';
										$output .= '</div>';
										$output .= '<p>';
	
											$the_tweet = $tweet['text'];
											/*
											Twitter Developer Display Requirements
											https://dev.twitter.com/terms/display-requirements
						
											2.b. Tweet Entities within the Tweet text must be properly linked to their appropriate home on Twitter. For example:
											  i. User_mentions must link to the mentioned user's profile.
											 ii. Hashtags must link to a twitter.com search with the hashtag as the query.
											iii. Links in Tweet text must be displayed using the display_url
												 field in the URL entities API response, and link to the original t.co url field.
											*/
						
											// i. User_mentions must link to the mentioned user's profile.
											if(is_array($tweet['entities']['user_mentions'])){
												foreach($tweet['entities']['user_mentions'] as $key => $user_mention){
													$the_tweet = preg_replace(
														'/@'.$user_mention['screen_name'].'/i',
														'<a href="http://www.twitter.com/'.$user_mention['screen_name'].'" target="_blank">@'.$user_mention['screen_name'].'</a>',
														$the_tweet);
												}
											}
						
											// ii. Hashtags must link to a twitter.com search with the hashtag as the query.
											if(is_array($tweet['entities']['hashtags'])){
												foreach($tweet['entities']['hashtags'] as $key => $hashtag){
													$the_tweet = preg_replace(
														'/#'.$hashtag['text'].'/i',
														'<a href="https://twitter.com/search?q=%23'.$hashtag['text'].'&src=hash" target="_blank">#'.$hashtag['text'].'</a>',
														$the_tweet);
												}
											}
						
											// iii. Links in Tweet text must be displayed using the display_url
											//	  field in the URL entities API response, and link to the original t.co url field.
											if(is_array($tweet['entities']['urls'])){
												foreach($tweet['entities']['urls'] as $key => $link){
													$the_tweet = preg_replace(
														'`'.$link['url'].'`',
														'<a href="'.$link['url'].'" target="_blank">'.$link['url'].'</a>',
														$the_tweet);
												}
											}
						
											$output .= $the_tweet;

										$output .= '</p>';
									$output .= '</div>';
								$output .= '</div>';
							$output .= '</div>';
						$output .= '</div>';
	
					}
	
				}
	
			}
		}

		return $output;
	}

}

AQURA_Latest_Tweet::get_instance();
